## net.sourceforge.pmd.parsers
Class Java15Parser

    java.lang.Object
      net.sourceforge.pmd.parsers.Java15Parser

All Implemented Interfaces:
  Parser

public class Java15Parser
extends java.lang.Object
implements Parser

Adapter for the JavaParser, using Java 1.5 grammar.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`Java15Parser()`

Method Summary
`java.lang.Object` `parse(java.io.Reader source)` Parse source code and return the root node of the AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java15Parser

    public Java15Parser()

Method Detail

### parse

    public java.lang.Object parse(java.io.Reader source)
                           throws ParseException

  Description copied from interface: `Parser`
  Parse source code and return the root node of the AST.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `source` - Reader that provides the source code of a compilation unit
  Returns:
    the root node of the AST that is built from the source code
  Throws:
    `ParseException` - In case the source code could not be parsed, probably due to syntactical errors.

Copyright © 2002-2006 InfoEther. All Rights Reserved.